﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 Self-Test IEEE
INSTRUMENT:            Sub LeCroy WJ300 Select Channel IEEE
INSTRUMENT:            Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
DATE:                  2010-07-30 09:36:08
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       224
=============================================================================
#
#  Procedure Author:
#        VY, DFM, DAC
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.003  JMPL         NOISE_LEVEL                  PSUBI("Noise Level")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# ====== Sub LeCroy WJ300 Self-Test IEEE ====================================

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  DISP         Remove all input connections.
  2.006  IEEE         *TST?[I$]
  2.007  EVAL   -e FINDI(MEM2, "+000000", 1) : SELF TEST

  3.001  MATH         @Abort = NOT(FINDI(MEM2, "+000000", 1))

  3.002  IF           @Abort
  3.003  DISP         The UUT SELF TEST failed!
  3.003  DISP
  3.003  DISP         The UUT may need to be serviced.
  3.003  DISP
  3.003  DISP         The procedure will be aborted.
  3.004  ENDIF

  3.005  HEAD
  3.006  END

  3.007  EVAL   Increment step number

# ====== Sub LeCroy WJ300 Select Channel IEEE ==============================

  4.001  LABEL        SELECT_CHANNEL

  4.002  IF           @NumChan == 2

  4.003  IF           @Chan == 1
  4.004  IEEE         C1:TRA ON;C2:TRA OFF
  4.005  ELSE
  4.006  IEEE         C1:TRA OFF;C2:TRA ON
  4.007  ENDIF

  4.008  ELSE

  4.009  IF           @Chan == 1
  4.010  IEEE         C1:TRA ON;C2:TRA OFF;C3:TRA OFF;C4:TRA OFF
  4.011  ELSEIF       @Chan == 2
  4.012  IEEE         C1:TRA OFF;C2:TRA ON;C3:TRA OFF;C4:TRA OFF
  4.013  ELSEIF       @Chan == 3
  4.014  IEEE         C1:TRA OFF;C2:TRA OFF;C3:TRA ON;C4:TRA OFF
  4.015  ELSE
  4.016  IEEE         C1:TRA OFF;C2:TRA OFF;C3:TRA OFF;C4:TRA ON
  4.017  ENDIF

  4.018  ENDIF

  4.019  END

  4.020  EVAL   Increment step number

# ====== Sub LeCroy WJ300 Peak-Peak Noise Level IEEE =======================

  5.001  LABEL        NOISE_LEVEL
  5.002  RSLT         =
  5.003  RSLT         =PEAK-PEAK NOISE LEVEL (DC 1 MOhm)

  5.004  RSLT         =
  5.005  RSLT         =Channel 1
  5.006  TARGET       -p
  5.007  IEEE         C1:TRA ON;C2:TRA ON[D1000]
  5.008  IEEE         C1:CPL DC1M;C1:CPL DC1M
  5.009  IEEE         C1:VDIV 2E-3;C2:VDIV 2E-3
  5.010  IEEE         C1:OFST 0;C2:OFST 0
  5.011  IEEE         DIRM A;MSEL CH1,P-P[D200]
  5.012  IEEE         DIRM B;MSEL CH2,P-P[D200]

  5.013  IF           @NumChan == 4
  5.014  IEEE         C3:TRA ON;C4:TRA ON[D1000]
  5.015  IEEE         C3:VDIV 2E-3;C4:VDIV 2E-3
  5.016  IEEE         C3:CPL DC1M;C4:CPL DC1M
  5.017  IEEE         C3:OFST 0;C4:OFST 0
  5.018  IEEE         DIRM C;MSEL CH3,P-P[D200]
  5.018  IEEE         DIRM D;MSEL CH4,P-P[D200]
  5.019  ENDIF

  5.020  HEAD         CH1 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 2 mV/div
  5.021  TSET         TDESC = 2 mV/div
  5.022  IEEE         TTYP EDGE;TSRC CH1;TRMD AUTO
  5.023  IEEE         TDIV 1E-6
  5.024  IEEE         EQU OFF;MLEN 10K
  5.025  IEEE         MDSP ON;MINMAX ON
  5.026  TARGET       -m
  5.027  WAIT         -t 2 System Settling...
  5.028  IEEE         MSRA?[I$]
# Get the maximum value of measurement and convert to mVpp.
  5.029  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  5.030  MEMCX        0.00mV         +1.60U

  6.001  HEAD         CH1 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 10 mV/div
  6.002  TSET         TDESC = 10 mV/div
  6.003  IEEE         C1:VDIV 10E-3
  6.004  TARGET       -m
  6.005  WAIT         -t 2 System Settling...
  6.006  IEEE         MSRA?[I$]
# Get the maximum value of measurement and convert to mVpp.
  6.007  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  6.008  MEMCX        0.00mV         +3.80U

  7.001  RSLT         =
  7.002  RSLT         =Channel 2
  7.003  HEAD         CH2 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 2 mV/div
  7.004  TARGET       -p
  7.005  TSET         TDESC = 2 mV/div
  7.006  TARGET       -m
  7.007  WAIT         -t 2 System Settling...
  7.008  IEEE         MSRB?[I$]
  7.009  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  7.010  MEMCX        0.00mV         +1.60U

  8.001  HEAD         CH2 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 10 mV/div
  8.002  TSET         TDESC = 10 mV/div
  8.003  IEEE         C2:VDIV 10E-3
  8.004  TARGET       -m
  8.005  WAIT         -t 2 System Settling...
  8.006  IEEE         MSRB?[I$]
  8.007  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  8.008  MEMCX        0.00mV         +3.80U

  9.001  IF           @NumChan == 4
  9.002  RSLT         =
  9.003  RSLT         =Channel 3
  9.004  HEAD         CH3 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 2 mV/div
  9.005  TARGET       -p
  9.006  TSET         TDESC = 2 mV/div
  9.007  TARGET       -m
  9.008  WAIT         -t 2 System Settling...
  9.009  IEEE         MSRC?[I$]
  9.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  9.011  MEMCX        0.00mV         +1.60U

 10.001  HEAD         CH3 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 10 mV/div
 10.002  TSET         TDESC = 10 mV/div
 10.003  IEEE         C3:VDIV 10E-3
 10.004  TARGET       -m
 10.005  WAIT         -t 2 System Settling...
 10.006  IEEE         MSRC?[I$]
 10.007  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 10.008  MEMCX        0.00mV         +3.80U

 11.001  RSLT         =
 11.002  RSLT         =Channel 4
 11.003  HEAD         CH4 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 2 mV/div
 11.004  TARGET       -p
 11.005  TSET         TDESC = 2 mV/div
 11.006  TARGET       -m
 11.007  WAIT         -t 2 System Settling...
 11.008  IEEE         MSRD?[I$]
 11.009  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 11.010  MEMCX        0.00mV         +1.60U

 12.001  HEAD         CH4 PEAK-PEAK NOISE LEVEL: DC 1 MOhm, 10 mV/div
 12.002  TSET         TDESC = 10 mV/div
 12.003  IEEE         C4:VDIV 10E-3
 12.004  TARGET       -m
 12.005  WAIT         -t 2 System Settling...
 12.006  IEEE         MSRD?[I$]
 12.007  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 12.008  MEMCX        0.00mV         +3.80U
 13.001  ENDIF

 13.002  END
